'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _KendoPivotGridMixin = require('./KendoPivotGridMixin');

var _KendoPivotGridMixin2 = _interopRequireDefault(_KendoPivotGridMixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    name: 'kendo-pivotgrid',
    mixins: [_KendoPivotGridMixin2.default],
    setup() {
        const v3 = true;
        return {
            v3
        };
    },
    render(createElement) {
        const h = _vue.h || createElement;
        const defaultSlot = this.v3 && this.$slots.default ? this.$slots.default() : this.$slots.default;
        return h('div', defaultSlot);
    }
};